pygal is available for python 2.7 and 3.2, 3.3, 3.4, 3.5 and pypy.


pygal is available on PyPI. To install, just type as superuser:

pip install pygal


There are no required dependency.

Optional dependencies are as follow:

  • lxml which can improve rendering speed (except on pypy).
  • cairosvg, tinycss, cssselect to render png.

Git Repository

If you want the development version of pygal, take a look at the git repository on GitHub, or clone it with:

git clone git://

You can also download the development snapshot from github.

Linux Distribution Packages

Pygal has been packaged for:

If you are interested in creating packages for Linux distributions, contact us.